LEAVE(1)

NAME
leave - remind you when you have to leave

SYNOPSIS
leave [ [+] hhmm]

DESCRIPTION
leave waits until the specified time (within the next 12 hours), then reminds you that you have to leave by writing to the TTY that you executed leave on.

You are reminded 5 minutes and 1 minute before the actual time, at the time, and every minute thereafter. When you log off, leave exits just before it would have printed the next message.

OPTIONS

hhmm
    The time of day is in the form hhmm where hh is a time in hours (on a 12 or 24 hour clock), and mm are minutes.

    However, all times are converted to a 12 hour clock, and assumed to be in the next 12 hours. An attempt to set an alarm for farther into the future will be truncated to within the next 12 hours.

+   If the time is preceded by ‘+’, the alarm will go off in hours and minutes from the current time.

If no argument is given, leave prompts with "When do you have to leave?". A reply of newline causes leave to exit, otherwise the reply is assumed to be a time. This form is suitable for inclusion in a ~/.login or ~/.profile.

SEE ALSO
calendar(1), csh(1), sh(1)

HISTORY
The leave command appeared in 3.0BSD.

BUGS
In the modern age with X(7) and window multiplexing programs like tmux(1) and screen(1), the leave command's reminders and admonitions might not be seen if the user has the window where leave was started minimized or obscured.

This all begs for a more general user notifications system to be implemented.